

from IPython.display import HTML


def videoshow(filename, width=None):
	"""
	Display a video in a notebook cell
	"""
	video = open(filename, "rb").read()
	video_encoded = video.encode("base64")
	if width:
		video_tag = '<video width={} controls src="data:video/x-m4v;base64,{}">'.format(width, video_encoded)
	else:
		video_tag = '<video controls src="data:video/x-m4v;base64,{}">'.format(video_encoded)
	return HTML(video_tag)
